
@import "_reset.scss";
@import '_variables.scss';



body {
    font-family: 'Roboto', sans-serif;
}

.container {
    width: 1170px;
    margin: 0 auto;
}

.invisible {
    display: none
}

@import "_header.scss";
@import "_resent-posts.scss";
@import "_instagram-shots.scss";
@import "_footer.scss";


@media (max-width: 768px) {

    .container {
        width: 768px;
    }


    nav {
        justify-content: flex-end;
    }

    .nav__menu-button {
        margin: 23px 0;
        display: inline-block;
        position: relative;
    }

    .nav__list {
        display: none;
        position: absolute;
        padding: 0;
        background-color: #F5F5F5;
        align-items: flex-start;
        flex-direction: column;
        right: 0;
        top: 60px;
    }

    .nav__item {
        width: 182px;
        font-size: 11px;
        line-height: 22px;
        padding: 4px 0 1px 13px;
// ADD RIGHT COLOR TO HOVER
        &:hover {
            background-color: #E5E5E5;
            color: #57A4A4;
        }
    }

    
    .header-img img {
        width: 768px;
        height: 361px;
        margin-bottom: 56px;
    }

    .grid {
        grid-template-columns: 1fr;
    }
    .grid-item__post-text {
        width: 404px;
    }

    .title-bar {
        width: 768px;
    }


    .images-bar img {
        width: 249px;
        height: 249px;
    }

    .images-bar img:nth-child(4n) {
        display: none;
    }
}


@media (max-width: 320px) {

    .container {
        width: 320px;
    }

    // nav {
    //     justify-content: flex-end;
    // }

    // .nav__menu-button {
    //     margin: 23px 0;
    //     display: inline-block;
    //     position: relative;
    // }

    // .nav__list {
    //     display: none;
    //     position: absolute;
    //     padding: 0;
    //     background-color: #F5F5F5;
    //     align-items: flex-start;
    //     flex-direction: column;
    //     width: 182px;
    //     height: 208px;
    //     right: 0;
    //     bottom: 40px;

    //     .nav__item {
    //         font-size: 11px;
    //         line-height: 22px;
    //         padding: 4px 0 1px 13px;
    //     }
    // }

    .header-img img {
        width: 320px;
        height: 150px;
        padding: 0;
        margin-bottom: 38px;

    }

    .section-title:nth-child(1){
        padding-bottom: 23px;
    }

    .section-title {
        // padding-left: 10px;
        font-size: 14px;
    }

    .grid {
        grid-template-columns: 233px;
        grid-auto-rows: 196px;
        grid-row-gap: 28px;
        margin-bottom: 39px;
    }

    .grid__item {
        flex-direction: column;
    }

    .grid-item__img {
        width: 160px;
        height: 140px;
    }

    .grid-item__content {
        margin-left: 0;
    }


    .grid-item__title {
        margin-top: 15px;
        font-size: 14px;
    }

    .grid-item__post-info {
        font-size: 11px;
    }

    .grid-item__post-text{
        display: none;
    }


    .instagram-shots{
        background-color: #fff;
    }

    .title-bar {
        width: 320px;
        padding: 38px 0 13px 0;

        .section-title {
            padding: 0;
        }
    }


    .title-bar__our-page {
        display: none;
    }

   

    .images-bar img:not(:first-child) {
        display: none;
    }

    .images-bar img {
        // margin: 0 auto;
        width: 301px;
        height: 301px;
    }

// Доделать падтнги
    .section-title--white-centered {
        padding: 38px 0 0 0;
        font-size: 14px;
        // line-height: 22px;
    }

    .footer-text {
        width: 303px;
        height: 52px;
        font-size: 12px;
        line-height: 20px;
    }

    .address-info {
        margin: 0 auto;
        width: 200px;
        height: 63px;
        font-size: 14px;
        line-height: 24px;
    }
}